Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.odin.fun/v1/user/{principal}/achievements \ --header 'Authorization: Bearer <token>'
{ "data": [ { "category_id": 123, "category_name": "<string>", "achievements": [ { "category": 123, "category_order": 123, "default": 123, "description": "<string>", "image": "<string>", "name": "<string>", "prereq_active": [ 0, 1, 3 ], "prereq_display": [ 0, 1, 3 ], "id": 123, "status": 123, "status_text": "<string>" } ] } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes